xn::ModuleAudioGenerator Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleAudioGenerator:
[legend]

## Public Member Functions

virtual | ~ModuleAudioGenerator ()
virtual const void * | GetData ()
virtual XnUChar * | GetAudioBuffer ()=0
virtual XnUInt32 | GetSupportedWaveOutputModesCount ()=0
virtual XnStatus | GetSupportedWaveOutputModes (XnWaveOutputMode aSupportedModes[], XnUInt32 &nCount)=0
virtual XnStatus | SetWaveOutputMode (const XnWaveOutputMode &OutputMode)=0
virtual XnStatus | GetWaveOutputMode (XnWaveOutputMode &OutputMode)=0
virtual XnStatus | RegisterToWaveOutputModeChanges (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromWaveOutputModeChanges (XnCallbackHandle hCallback)=0
Public Member Functions inherited from xn::ModuleGenerator
virtual | ~ModuleGenerator ()
virtual XnStatus | StartGenerating ()=0
virtual XnBool | IsGenerating ()=0
virtual void | StopGenerating ()=0
virtual XnStatus | RegisterToGenerationRunningChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromGenerationRunningChange (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToNewDataAvailable (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromNewDataAvailable (XnCallbackHandle hCallback)=0
virtual XnBool | IsNewDataAvailable (XnUInt64 &nTimestamp)=0
virtual XnStatus | UpdateData ()=0
virtual XnUInt32 | GetDataSize ()=0
virtual XnUInt64 | GetTimestamp ()=0
virtual XnUInt32 | GetFrameID ()=0
virtual ModuleMirrorInterface * | GetMirrorInterface ()
virtual ModuleAlternativeViewPointInterface * | GetAlternativeViewPointInterface ()
virtual ModuleFrameSyncInterface * | GetFrameSyncInterface ()
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModuleAudioGenerator()

virtual xn::ModuleAudioGenerator::~ModuleAudioGenerator | ( |  | ) |

inline virtual

## Member Function Documentation

## GetAudioBuffer()

virtual XnUChar * xn::ModuleAudioGenerator::GetAudioBuffer | ( |  | ) |

pure virtual

## GetData()

virtual const void * xn::ModuleAudioGenerator::GetData | ( |  | ) |

inline virtual

Implements xn::ModuleGenerator.

## GetSupportedWaveOutputModes()

virtual XnStatus xn::ModuleAudioGenerator::GetSupportedWaveOutputModes | ( | XnWaveOutputMode | aSupportedModes[],
|  | XnUInt32 & | nCount )

pure virtual

## GetSupportedWaveOutputModesCount()

virtual XnUInt32 xn::ModuleAudioGenerator::GetSupportedWaveOutputModesCount | ( |  | ) |

pure virtual

## GetWaveOutputMode()

virtual XnStatus xn::ModuleAudioGenerator::GetWaveOutputMode | ( | XnWaveOutputMode & | OutputMode | ) |

pure virtual

## RegisterToWaveOutputModeChanges()

virtual XnStatus xn::ModuleAudioGenerator::RegisterToWaveOutputModeChanges | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## SetWaveOutputMode()

virtual XnStatus xn::ModuleAudioGenerator::SetWaveOutputMode | ( | const XnWaveOutputMode & | OutputMode | ) |

pure virtual

## UnregisterFromWaveOutputModeChanges()

virtual void xn::ModuleAudioGenerator::UnregisterFromWaveOutputModeChanges | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h